> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Completely delete a user profile from system

> Completely deletes the currently logged in user from the system.

## OpenAPI

````json DELETE /v1/users/{user-id}
{
  "info": {
    "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.",
    "version": "2.0.0",
    "title": "Confidential Computing Manager",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    }
  },
  "paths": {
    "/v1/users/{user-id}": {
      "delete": {
        "tags": [
          "Users"
        ],
        "summary": "Completely delete a user profile from system",
        "description": "Completely deletes the currently logged in user from the system.",
        "operationId": "deleteUserAccount",
        "x-auth-resource": "UserAuth,Reader,Writer,Manager,ManagerInLockedAccount,WriterInLockedAccount",
        "parameters": [
          {
            "$ref": "#/parameters/UserId"
          }
        ],
        "responses": {
          "204": {
            "description": "Nothing is returned on success."
          }
        },
        "security": [
          {
            "bearerToken": []
          }
        ]
      }
    }
  }
}
````

